#ifndef __ANALOG_OUTPUT_H
#define __ANALOG_OUTPUT_H

#include <stdbool.h>


typedef struct
{
    uint8_t state;          // 0 - выкл, 1 - вкл
    uint8_t mode;           // режим выхода (0 - напряжение, 1 - ток)
    
} ao_t;


//
void ao_init(void);

//
void ao_led_update(void);

// 
void ao_set(void);

// 
void dac_task(void *params);


#endif  // __ANALOG_OUTPUT_H

