#include "at32f403a_407.h" 
#include "settings_api.h"
#include "settings_ao.h"


#if defined (MAO_4)

//
void settings_ao_set_all_default(void)
{
    // Аналоговые выходы
    settings_ao_def(&settings);
}

//
void settings_ao_def(settings_t *settings)
{
    // Все выходы выключены
    settings->ao_state_bits = 0;
 
    // Режим напряжения
    settings->ao_mode_bits = 0;
    
    for (int i = 0; i < AO_NUMBER; i++)
    {
        settings->ao[i].state = 0;  // выход выключен
        settings->ao[i].mode = 0;   // режим выхода - напряжение
    }
}


#endif